/*
	ArrayManager.h: routines from ArrayManager package
		
	These routines are not public domain, but may be used freely
	for non-commercial purposes.
	
	Copyright 1987-1992, Josef Goettgens. All rights reserved.
*/

#ifndef __Arrays__
#define __Arrays__

#ifdef applec
#define FPUType extended
#else
#define FPUType double
#endif

typedef struct Matrix {
	int		rows, cols;				/* number of rows and columns	*/
	int		phys_rows, phys_cols;	/* physical dimensions			*/
	int		partition;				/* partition type				*/
	double	**mat;					/* pointer to matrix-elements	*/
} Matrix;
typedef Matrix *MatrixPtr;
enum { kRowPointers, kColumnPointers };	/* enums for partition		*/

void DisposeMatrix( MatrixPtr m );
void Free2DArray( double **p );
void Free1DArray( double *ptr );
MatrixPtr NewMatrix( int phys_rows, int phys_cols, int partition );
double *New1DArray( int n );
void ClearArray( register double *ptr, register int len );
double **New2DArray( int rows, int columns );
void MinMax( const double *x, int n, double *maxi, double *mini );

#endif	/* __Arrays__ */
