#   File:       RedMech.make
#   Target:     RedMech
#   Sources:    RedMechUtil.c Reaction.c reduce.c Scanner.c SpeciesList.c ArrayManager.c
#   Created:    Mittwoch, 8. April 1992 15:31:16 Uhr
#
#	Generate flow tree with
#		flow -tlfre "*.c" > RedMech.flow
#


OBJECTS = 
		RedMech.c.o 
		RedMechUtil.c.o 
		Reaction.c.o 
		Scanner.c.o 
		SpeciesList.c.o 
		Matrix.c.o 
		IndependentEQ.c.o 
		Reduction.c.o 
		svd.c.o 
		ArrayManager.c.o
		
SymOpts = #-sym on
COpts = -r -mc68020 -mc68881 -elems881 {SymOpts}
SegOpts = -sg Main=RedMech -sg STDCLIB=CSANELib,STDIO,SADEV,SANELIB,INTENV

RedMech  RedMech.make {OBJECTS}
	Link -d -c 'MPS ' -t MPST {SymOpts} {SegOpts} 
		{OBJECTS} 
		"{CLibraries}"Clib881.o 
		"{CLibraries}"CSANELib881.o 
		#"{CLibraries}"Math881.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Stubs.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{Libraries}"ToolLibs.o 
		-o RedMech

RedMech  RedMech.make RedMech.r RedMech.help Commando.r
	Rez -a RedMech.r -o RedMech

install  RedMech
	if ( `Exists "{myTools}"`) 
		move -y RedMech "{myTools}"
	else 
		move -y RedMech "{MPW}"Tools:
	end

clean  
	delete -y {OBJECTS} RedMech.dump

RedMech.dump  RedMechHeaders.h RedMech.make RedMech.h Arrays.h
	C RedMechHeaders.h {COPTS}

RedMech.c.o  RedMech.make RedMech.c RedMech.dump
	C RedMech.c {COpts} -s RedMech
RedMechUtil.c.o  RedMech.make RedMechUtil.c RedMech.dump
	C RedMechUtil.c {COpts} -s RedMech
Reaction.c.o  RedMech.make Reaction.c RedMech.dump
	C Reaction.c {COpts} -s RedMech
Scanner.c.o  RedMech.make Scanner.c RedMech.dump
	C Scanner.c {COpts} -s RedMech
SpeciesList.c.o  RedMech.make SpeciesList.c RedMech.dump
	C SpeciesList.c {COpts} -s RedMech
Matrix.c.o  RedMech.make Matrix.c RedMech.dump
	C Matrix.c {COpts} -s RedMech
IndependentEQ.c.o  RedMech.make IndependentEQ.c RedMech.dump
	C IndependentEQ.c {COpts} -s RedMech
Reduction.c.o  RedMech.make Reduction.c RedMech.dump
	C Reduction.c {COpts} -s RedMech
svd.c.o  RedMech.make svd.c
	C svd.c {COpts} -s RedMech
ArrayManager.c.o  RedMech.make ArrayManager.c RedMech.h
	C ArrayManager.c {COpts}  -s RedMech
